2019-12-14 12:48 CET

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0006009Spring engineGeneralpublic2018-07-16 23:17
Reporterraaar 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 
Target VersionFixed in Version 
Summary0006009: idle aircraft that can land underwater try to do so even if the water does damage
Descriptionidle aircraft that can land underwater try to do so even if the water does damage.

they should keep airborne and only land if there's nearby safe ground available.
Steps To Reproducethis can be seen on map Zed and a recent Zero K version.

spawn an owl aircraft, then change the idle state from "fly" to "land" and move over the lava.

when it's idle it'll try to land on lava and be destroyed!
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0019240

Kloot (developer)

Fix 65e10e801c1d113a6d58d5eed5690f2c8f1a1190 committed to develop branch: fix 0006009 0006010, repo: spring changeset id: 10377

~0019243

Kloot (developer)

Fix 490f9a593cbe363801a51092f6ce4bcc0f366e6a committed to maintenance branch: fix 0006009 0006010, repo: spring changeset id: 10382
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2018-07-03 05:48 raaar New Issue
2018-07-16 21:07 Kloot Severity major => minor
2018-07-16 23:08 Kloot Changeset attached => spring develop 65e10e80
2018-07-16 23:08 Kloot Note Added: 0019240
2018-07-16 23:08 Kloot Assigned To => Kloot
2018-07-16 23:08 Kloot Status new => resolved
2018-07-16 23:08 Kloot Resolution open => fixed
2018-07-16 23:17 Kloot Changeset attached => spring maintenance 490f9a59
2018-07-16 23:17 Kloot Note Added: 0019243
+Issue History